<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:b="http://bootsfaces.net/ui">

<f:metadata>
    <f:viewParam name="id" value="#{mbArticle.idArticle}"/>
    <f:event listener="#{mbArticle.init()}" type="preRenderView"></f:event>
    <f:event listener="#{mbcommande.init()}" type="preRenderView"/>
    <f:viewAction action="#{mbcommande.init()}"></f:viewAction>
</f:metadata>

<ui:composition template="/arche/arche.xhtml">
    <ui:define name="content">
        <b:jumbotron>
            <b:container>
                <h1>#{mbArticle.articleD.nom}</h1>
            </b:container>
        </b:jumbotron>

        <b:container fluid="true">
            <b:panel title="Description" collapsible="false">
                <b:row>
                    <b:column colMd="6">
                        <b:thumbnail>
                            <img src="../img/#{mbArticle.articleD.nomImage}" alt="photo" width="300px" height="auto"/>
                        </b:thumbnail>
                    </b:column>
                    <b:column colMd="6">
                        <!-- short-info-wrap -->
                        <b:row style="margin:0px;">
                            <h3 class="title mb-3">#{mbArticle.articleD.nom}</h3>
                            <div class="mb-3">
                                <var class="price h3 text-warning">
                                    <h:outputText value="#{mbArticle.articleD.prix}" styleClass="currency">
                                        <f:convertNumber currencySymbol="€" type="currency"/>
                                    </h:outputText>
                                </var>
                                <span>/ unité</span>
                            </div>
                            <dl>
                                <dt>Description</dt>
                                <dd><p style="text-align: justify">#{mbArticle.articleD.description}</p></dd>
                            </dl>
                        </b:row>
                        <b:row style="margin:0px;">
                            <b:column colMd="6">
                                <h:form id="note-article">
                                    <b:iconAwesome name="fa-star" styleClass="stars-active"
                                                   rendered="#{mbArticle.getNoteMoyenne(mbArticle.articleD.id)>= 1}"/>
                                    <b:iconAwesome name="fa-star" styleClass="stars-active"
                                                   rendered="#{mbArticle.getNoteMoyenne(mbArticle.articleD.id) >= 2}"/>
                                    <b:iconAwesome name="fa-star" styleClass="stars-active"
                                                   rendered="#{mbArticle.getNoteMoyenne(mbArticle.articleD.id) >= 3}"/>
                                    <b:iconAwesome name="fa-star" styleClass="stars-active"
                                                   rendered="#{mbArticle.getNoteMoyenne(mbArticle.articleD.id) >= 4}"/>
                                    <b:iconAwesome name="fa-star" styleClass="stars-active"
                                                   rendered="#{mbArticle.getNoteMoyenne(mbArticle.articleD.id) >= 5}"/>
                                    <h:outputText value=" #{mbArticle.articleD.messages.size()} avis"/>
                                </h:form>
                            </b:column>
                            <b:column colMd="6">
                                <h:form>
                                    <b:touchSpin label="Quantité "
                                                 value="#{mbArticle.articleD.quantite}" min="0"
                                                 max="200" span="8"></b:touchSpin>
                                    <b:commandButton
                                            action="#{mbArticle.addCommande(mbArticle.idArticle, mbArticle.articleD.quantite)}"
                                            icon="shopping-cart" look="success" size="md"
                                            value="Ajouter"
                                            tabindex="0"
                                            data-toggle="popover" data-trigger="focus"
                                            title="Vous devez vous connecter pour ajouter des articles dans votre panier"
                                            span="12" onclick="ajax:ajaxBean.onClick()" update="connexionFormMaster">
                                    </b:commandButton>
                                </h:form>
                            </b:column>
                        </b:row>
                    </b:column>
                </b:row>
            </b:panel>
            <b:panel title="Commentaires"
                     rendered="#{mbArticle.articleD.messages.size()>0 || mblogin.isConnected==1?true:false}">
                <h:form id="table-messages">
                    <b:row rendered="#{mbArticle.articleD.messages.size()>0}">
                        <b:column colMd="12">
                            <b:dataTable value="#{mbArticle.articleD.messages}" var="msg" searching="false">
                                <b:dataTableColumn value="#{msg.date}" width="10%"></b:dataTableColumn>
                                <b:dataTableColumn value="#{msg.user.login}" width="10%"></b:dataTableColumn>
                                <b:dataTableColumn value="#{msg.note}" width="10%">
                                    <span class="glyphicon glyphicon-star-empty"/>
                                </b:dataTableColumn>
                                <b:dataTableColumn label="Commentaires" width="70%">#{msg.texte}</b:dataTableColumn>
                            </b:dataTable>
                        </b:column>
                    </b:row>
                </h:form>
                <b:row rendered="#{mblogin.isConnected==1?true:false}">
                    <b:column colMd="12">
                        <h:form id="envoyer-message">
                            <b:row>
                                <b:column span="5" offset="3">
                                    <h:outputLabel
                                            value="Donnez nous votre avis sur ce produit (0-5)"/>
                                </b:column>
                            </b:row>
                            <b:row>
                                <b:column span="2" offset="3">
                                    <b:formGroup>
                                        <b:selectOneMenu value="#{mbMessage.messageCurrent.note}">
                                            <f:selectItem itemLabel="0" itemValue="0"/>
                                            <f:selectItem itemLabel="1" itemValue="1"/>
                                            <f:selectItem itemLabel="2" itemValue="2"/>
                                            <f:selectItem itemLabel="3" itemValue="3"/>
                                            <f:selectItem itemLabel="4" itemValue="4"/>
                                            <f:selectItem itemLabel="5" itemValue="5"/>
                                        </b:selectOneMenu>
                                    </b:formGroup>
                                </b:column>
                            </b:row>
                            <b:row>
                                <b:column span="6" offset="3">
                                    <b:inputTextarea style="resize: none;" value="#{mbMessage.messageCurrent.texte}"
                                                     required="true" placeholder="Commentaire"/>
                                </b:column>
                            </b:row>
                            <b:row>
                                <b:column span="4" offset="4">
                                    <b:label value="#{mbMessage.msg}"
                                             style="color:red; font-family: Arial; font-size:13px; background-color:white"
                                             align="center"></b:label>
                                </b:column>
                            </b:row>
                            <!--  bouton envoyer -->
                            <b:row>
                                <b:column span="6" offset="3">
                                    <b:commandButton action="#{mbMessage.addMessage(mbArticle.articleD.id)}"
                                                     value="Envoyer"
                                                     styleClass="btn btn-primary"
                                                     onclick="ajax:ajaxBean.onClick()"
                                                     update="table-messages note-article">
                                    </b:commandButton>
                                </b:column>
                            </b:row>
                        </h:form>
                    </b:column>
                </b:row>
            </b:panel>
        </b:container>
        <h:form>
            <b:link value="Retour" href="javascript:history.go(-1)"
                    styleClass="btn btn-primary" size="sm"/>
        </h:form>
    </ui:define>
</ui:composition>

</html>